> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provenance

> Get provenance chain for a dataset.



## OpenAPI

````yaml /openapi.json get /v1/provenance/{dataset_id}
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/provenance/{dataset_id}:
    get:
      tags:
        - provenance
      summary: Get Provenance
      description: Get provenance chain for a dataset.
      operationId: get_provenance_v1_provenance__dataset_id__get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProvenanceListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProvenanceListResponse:
      properties:
        records:
          items:
            $ref: '#/components/schemas/ProvenanceResponse'
          type: array
          title: Records
      type: object
      required:
        - records
      title: ProvenanceListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProvenanceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        organization_id:
          type: string
          title: Organization Id
        simulator:
          type: string
          title: Simulator
        simulator_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Simulator Version
        generation_params:
          anyOf:
            - type: object
            - type: 'null'
          title: Generation Params
        random_seeds:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Random Seeds
        content_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Hash
        source_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Repo
        source_commit:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Commit
        host_info:
          anyOf:
            - type: object
            - type: 'null'
          title: Host Info
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - dataset_id
        - organization_id
        - simulator
        - created_at
      title: ProvenanceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````